<apex:page controller="HO_Home_dashboard" sidebar="false" id="page">
<apex:form >
  <style>
 /* table#t01 td {
    border: 1px solid black;
    padding: 4px;
     background-color: #dddddd;
     color:#444;
}

table#t01  th {
    border: 1px solid black;
   align: center;
    padding: 4px;
    background-color: #6aacd8;
    color: white;
     
}*/
.graphSection { height: 345px; }
body.hasMotif.vf-body { margin: 0px; }
.center { text-align: center; }
.right { text-align: right; }
body .pbBody table.list tr.dataRow th, body .pbBody table.list tr.dataRow td {border-left: #efefff solid 1px; }
h2.header { font-size: 15px; }
      .listings .pbBody {min-height: 276px; }
      .listings1 .pbBody {min-height: 253px; }
      .pageblockCss{background-color::#000080 !important;}
      .no-margin { margin-left: 0px!important; margin-right: 0px!important; }
  </style>
      <center>
     
   <apex:outputPanel rendered="{!IF(gProfileName == 'HO' || gProfileName == 'RM', true, false)}">

                            <apex:outputPanel rendered="{!IF(gProfileName == 'HO', true, false)}">
                               <b> Region</b> &nbsp;
                                <apex:selectList value="{!regionSelected}"
                                    size="1" onChange="RefreshDistrictList();" style="width:100px;">
                                    <apex:selectOptions value="{!regionList}" />
                                </apex:selectList>  &nbsp;
                            </apex:outputPanel>

                            <apex:outputPanel id="districtRefreshList"> 
                               <b> District</b> &nbsp;
                                <apex:selectList value="{!districtSelected}"
                                    size="1" onChange="Refreshtable();"
                                    style="width:133px;">
                                <apex:selectOptions value="{!districtList}" />
                             </apex:selectList>&nbsp;
                            </apex:outputPanel>

                            
                            
                        </apex:outputPanel>

                        
            <apex:actionFunction name="RefreshDistrictList"
                            rerender="Refreshtable,mainTable,districtRefreshList,selectedPosition,charttable" 
                            
                            action="{!districtListChange}">
               </apex:actionFunction>
               
               
              <apex:actionFunction name="Refreshtable"
                             rerender="mainTable,charttable"   action="{!getTerritorybyLoggedUser}">
                        </apex:actionFunction>
	 <apex:outputPanel id="mainTable" >
	   <apex:pageblock >  
	   
	   <div class="pbHeader">
            <div align="center" style="border-bottom: 1px solid #dbdbdb; line-height: 25px;">


                <apex:image value="{!$Resource.AxtriaSalesIQTM__redicon1}" width="12px" height="12px"/>

                Not Started &nbsp;&nbsp;&nbsp;

                <apex:image value="{!$Resource.blueCircle}" width="12px" height="12px"/>

                In Progress &nbsp;&nbsp;&nbsp;
                
                <apex:image value="{!$Resource.Amber}" width="12px" height="12px"/>
                
                Submitted &nbsp;&nbsp;&nbsp;

                <apex:image value="{!$Resource.AxtriaSalesIQTM__greenicon1}" width="12px" height="12px"/>

                Approved &nbsp;&nbsp;&nbsp;


            </div>
          </div>
       <div class="pbBody no-margin">
            <table class="list" cellspacing="0" cellpadding="0" border="0" >
              <tbody>
               <tr class="headerRow">
                    <!-- <th colspan="4"></th> --><th colspan="5"></th>
                    <th colspan="6" class="center header">HCP Targets</th>
                    <th colspan="4" class="center header">Calls</th>
                </tr>
                 <tr class="headerRow">
                    <th>Change<br/>Request</th>
                    <th>Territory</th>
                    <th>Territory ID</th>
                    <th class="center"><!--Feedback<br/>-->Status</th>
                    <th># Logins</th>
                    <th class="center">Q2-2017</th>
                    <th class="center">Q3-2017<br/>Pre Refinement</th>
                    <th class="center">Q3-2017<br/>Post Refinement</th>
                    <th class="center">Adds</th>
                    <th class="center">Drops</th>
                   <th class="center" title = "(Target Added+ Target Dropped)*100 / Last Cycle Targets">% Change</th>
                    <th class="center">Q2-2017</th>
                    <th class="center">Q3-2017<br/>Pre Refinement</th>
                    <th class="center">Q3-2017<br/>Post Refinement</th>
                    <th class="center" title = "(Updated Calls – Original Calls)*100 / Original Calls" >% Change</th>
                    
                </tr>
              
              	
              	
                <apex:repeat value="{!tablelist}" var="tl">
                <tr class="dataRow">
                <td class=" dataCell  ">
                    <apex:outputPanel rendered="{!if(tl.changerequest=='N/A','false','true')}">
                        <a href='#' onclick="window.open('/{!tl.changerequestid}','menubar=no,toolbar=no,height=600,width=800');return false;">
                            {!tl.changerequest}
                        </a>
                    </apex:outputPanel>
                    <apex:outputPanel rendered="{!if(tl.changerequest=='N/A','true','false')}">
                        {!tl.changerequest}
                    </apex:outputPanel>
                </td>
                
                <td class=" dataCell  ">
                    <a href='#' onclick="window.open('/{!tl.positionid}','menubar=no,toolbar=no,height=600,width=800');return false;">
                        {!tl.Territory}
                    </a>
                </td>
                
                <td class=" dataCell  ">
                    <a href='#' onclick="window.open('/{!tl.positionid}','menubar=no,toolbar=no,height=600,width=800');return false;">
                        {!tl.Territorycode}
                    </a>
                </td>
                
                
                <td class=" dataCell  center"><apex:image value="{!If(tl.FeedbackStatus == 'Submitted', $Resource.Amber, IF( tl.FeedbackStatus == 'Saved', $Resource.blueCircle, If(tl.FeedbackStatus =='Not Started', $Resource.AxtriaSalesIQTM__redicon1, $Resource.AxtriaSalesIQTM__greenicon1)))}" width="12px" height="12px"/>
                </td>
                
                <td class=" dataCell right ">
                    {!tl.nooflogins}
                </td>
                
                <!--{!tl.FeedbackStatus}-->
                <td class=" dataCell right ">{!tl.lastCycleTarget}</td>
                <td class=" dataCell  right">{!tl.originalTarget}</td>
                <td class=" dataCell right ">{!tl.proposedTarget}</td>
                <td class=" dataCell right ">{!tl.add}</td>
                <td class=" dataCell right ">{!tl.drop}</td>
                <td class=" dataCell right ">{!tl.Disruption}%</td>
                <td class=" dataCell right ">{!tl.lastCycleCalls}</td>
                <td class=" dataCell right ">{!tl.OrginalCalls}</td>
                <td class=" dataCell right ">{!tl.proposedCalls}</td>
                <td class=" dataCell right ">{!tl.change}%</td>
                
                	
                </tr>
                
                </apex:repeat>
                <tr>
	                <td colspan="6"><b> Total</b></td>
	                
	                <td class=" dataCell right "> <b>{!totalOrignalTarget}</b></td>
	                <td class=" dataCell right "> <b>{!TotalproposedTarget}</b></td>
	                
	                 <td> </td>
	                <td> </td>
	                <td> </td>
	                <td> </td>
	                <td class=" dataCell right "> <b>{!totalOrignalCall}</b></td>
	                <td class=" dataCell right "> <b>{!totalproposedCall}</b></td>
	                 <td> </td>
	                <td> </td>
                </tr>
              </tbody>
            </table>
             
    </div>
  
  </apex:pageblock>
      
        <table width="100%">
                   <tr>   
                     <td>
                     <!-- <div style="margin-left: 50%; color:#0f00ff" ><b>Adds by Reason code</b>
                     </div> -->
                      <apex:pageblock >
                             <div align="center" class="pbHeader" >
                             <div style="border-bottom:1px solid #dbdbdb; line-height: 30px;">
                     
                                <h2 class="header">Added Target Summary</h2><br/>
                             </div>
                            </div>
                    <div class="pbBody"  align="center">
                    <apex:chart data="{!addlist}" height="300" width="600" background="white">
                           <!--  <apex:legend position="left"/> -->
                            <apex:axis type="Numeric" position="left" title="#Territories" grid="true"
                                fields="countValue" dashSize="2">
                               <apex:chartLabel font="9px Helvetica, sans-serif" />
                            </apex:axis>
                            <apex:axis type="Category" position="bottom" fields="range" title="#Target">
                                <apex:chartLabel font="9px Helvetica, sans-serif" />
                            </apex:axis>
                            <apex:barSeries orientation="vertical" axis="left" 
                                xField="range" yField="countValue"   >
                                                             
                                </apex:barSeries>
                        </apex:chart>
            </div>  
            </apex:pageblock>       
            </td>
            
            <td>
                     <apex:pageblock >
                             <div align="center" class="pbHeader" >
                             <div style="border-bottom:1px solid #dbdbdb; line-height: 30px;">
                     
                                <h2 class="header">Dropped Target Summary</h2><br/>
                             </div>
                            </div>
                    <div class="pbBody"  align="center">
                    <!-- <div style="margin-left: 50%; color:#0f00ff" ><b>Drops by Reason code</b>
                     </div> -->
                    
                    <apex:chart data="{!droplist}" height="300" width="600" background="white">
                           <!--  <apex:legend position="left"/> -->
                            <apex:axis type="Numeric" position="left" title="#Territories" grid="true"
                                fields="countValue" dashSize="2">
                                 <apex:chartLabel font="9px Helvetica, sans-serif" />
                            </apex:axis>
                            <apex:axis type="Category" position="bottom" fields="range" title="#Target">
                                <apex:chartLabel font="9px Helvetica, sans-serif" />
                            </apex:axis>
                            <apex:barSeries orientation="vertical" axis="left" 
                                xField="range" yField="countValue"   >
                                                             
                                </apex:barSeries>
                        </apex:chart>
            </div>
            </apex:pageblock>
            </td>
            </tr>   
            
            
            </table>
        
            <br/>
    
        
        <table class="listings" width="100%" style="overflow: hidden;">
            <tbody style="vertical-align: top;">
            <tr>
            <td width="50%">
             <apex:pageblock >
                             <div align="center" class="pbHeader" >
                             <div style="border-bottom:1px solid #dbdbdb; line-height: 30px;">
                     
                                <h2 class="header">Top 10 Territory (Targets Added)</h2><br/>
                             </div>
                            </div>
                    <div class="pbBody"  align="center"   >
                         <apex:pageBlockTable value="{!AddListWithTerritory}" var="item" width="100%" styleClass="pageblockCss">
                         
                            <apex:column headerValue="Territory Id" value="{!item.territoryCode}"/>
                            <apex:column headerValue="Territory Name" value="{!item.territoryName}"/>
                            <apex:column headerValue="# of Adds" value="{!item.countValue}"/>
                            
                        </apex:pageBlockTable>
                     </div>
             </apex:pageblock>
          </td>
           <td width="50%">
            <apex:pageblock >
                             <div align="center" class="pbHeader" >
                             <div style="border-bottom:1px solid #dbdbdb; line-height: 30px;">
                     
                                <h2 class="header">Top 10 Territory(Targets Dropped)</h2><br/>
                             </div>
                            </div>
                    <div class="pbBody"  align="center">
                    <apex:pageBlockTable value="{!DropListWithTerritory}" var="item" width="100%" >
                        <apex:column headerValue="Territory Id" value="{!item.territoryCode}"/>
                        <apex:column headerValue="Territory Name" value="{!item.territoryName}"/>
                        <apex:column headerValue="# of Drops" value="{!item.countValue}"/>
                </apex:pageBlockTable>
                </div>
                </apex:pageblock>
            </td>
            </tr>
            </tbody>
            </table>
            
            
          <br/>
            
            <table class="listings1" width="100%" style="overflow: hidden;">
            <tbody style="vertical-align: top;">
            <tr>
            <td width="50%">
                 <apex:pageblock >
                             <div align="center" class="pbHeader" >
                             <div style="border-bottom:1px solid #dbdbdb; line-height: 30px;">
                     
                                <h2 class="header">Adds By Reason Code</h2><br/>
                             </div>
                            </div>
                    <div class="pbBody"  align="center">
            
            <apex:pageBlockTable value="{!AddListWithReason}" var="item" width="100%" >
                <apex:column headerValue="Reason" value="{!item.range}"/>
                <apex:column headerValue="# of Added" value="{!item.countValue}"/>
            </apex:pageBlockTable>
          </div>
          </apex:pageblock>  
            
          </td>
           <td width="50%">
           <div>
             <apex:pageblock >
                             <div align="center" class="pbHeader" >
                             <div style="border-bottom:1px solid #dbdbdb; line-height: 30px;">
                     
                                <h2 class="header">Drops By Reason Code</h2><br/>
                             </div>
                            </div>
                    <div class="pbBody"  align="center">
                <apex:pageBlockTable value="{!DropListWithReason}" var="item" width="100%" >
                    <apex:column headerValue="Reason" value="{!item.range}"/>
                    <apex:column headerValue="# of Dropped" value="{!item.countValue}"/>
                </apex:pageBlockTable>
            </div>
          
          
          
            
            </apex:pageblock>
            </div>
            </td>
            </tr>
            </tbody>
            </table>

  
             </apex:outputPanel>    
      
     
      
      </center>
    </apex:form>
  </apex:page>